void defaultScore()
{//Restore default hi-score file
	int tier = 0;
	int add	 = 1;
	
	//RANK 1
	setglobalvar("hiscorePoints"+tier, 100000);
	setglobalvar("hiscoreTime"+tier, "00:00:00");
	setglobalvar("hiscoreName"+tier, "SOD");
	tier = tier+add;

	//RANK 2
	setglobalvar("hiscorePoints"+tier, 90000);
	setglobalvar("hiscoreTime"+tier, "00:00:00");
	setglobalvar("hiscoreName"+tier, "SOD");
	tier = tier+add;

	//RANK 3
	setglobalvar("hiscorePoints"+tier, 80000);
	setglobalvar("hiscoreTime"+tier, "00:00:00");
	setglobalvar("hiscoreName"+tier, "SOD");
	tier = tier+add;

	//RANK 4
	setglobalvar("hiscorePoints"+tier, 70000);
	setglobalvar("hiscoreTime"+tier, "00:00:00");
	setglobalvar("hiscoreName"+tier, "SOD");
	tier = tier+add;

	//RANK 5
	setglobalvar("hiscorePoints"+tier, 60000);
	setglobalvar("hiscoreTime"+tier, "00:00:00");
	setglobalvar("hiscoreName"+tier, "SOD");
	tier = tier+add;

	//RANK 6
	setglobalvar("hiscorePoints"+tier, 50000);
	setglobalvar("hiscoreTime"+tier, "00:00:00");
	setglobalvar("hiscoreName"+tier, "SOD");
	tier = tier+add;

	//RANK 7
	setglobalvar("hiscorePoints"+tier, 40000);
	setglobalvar("hiscoreTime"+tier, "00:00:00");
	setglobalvar("hiscoreName"+tier, "SOD");
	tier = tier+add;

	//RANK 8
	setglobalvar("hiscorePoints"+tier, 30000);
	setglobalvar("hiscoreTime"+tier, "00:00:00");
	setglobalvar("hiscoreName"+tier, "SOD");
	tier = tier+add;

	//RANK 9
	setglobalvar("hiscorePoints"+tier, 20000);
	setglobalvar("hiscoreTime"+tier, "00:00:00");
	setglobalvar("hiscoreName"+tier, "SOD");
	tier = tier+add;

	//RANK 10
	setglobalvar("hiscorePoints"+tier, 10000);
	setglobalvar("hiscoreTime"+tier, "00:00:00");
	setglobalvar("hiscoreName"+tier, "SOD");
}

void loadS(void file, int tier)
{//Script to reduce code size
	int pos = 0;
	int add = 1;
	
	setglobalvar("hiscorePoints"+tier,		getfilestreamargument(file, pos, "int"));pos = pos+add;
	setglobalvar("hiscoreTime"+tier,		getfilestreamargument(file, pos, "string"));pos = pos+add;
	setglobalvar("hiscoreName"+tier,		getfilestreamargument(file, pos, "string"));pos = 0;
	filestreamnextline(file);
}

void loadScore()
{//Load saved custom hi-score file or reset to default if the CFG file not exists
	
	if(getglobalvar("hiscorePoints0") == NULL()){
		
		//CONFIGURATION FILE EXISTIS?? GET ALL SAVED VALUES
		if(openfilestream("saves/SOD_SCORE.cfg") != -1){
			void file = openfilestream("saves/SOD_SCORE.cfg");
			int add  = 1;
			int tier = 0;
			
			//DEFINE ALL DATA TO BE LOADED
			loadS(file, tier);tier = tier+add; //RANK 1
			loadS(file, tier);tier = tier+add; //RANK 2
			loadS(file, tier);tier = tier+add; //RANK 3
			loadS(file, tier);tier = tier+add; //RANK 4
			loadS(file, tier);tier = tier+add; //RANK 5
			loadS(file, tier);tier = tier+add; //RANK 6
			loadS(file, tier);tier = tier+add; //RANK 7
			loadS(file, tier);tier = tier+add; //RANK 8
			loadS(file, tier);tier = tier+add; //RANK 9
			loadS(file, tier);//RANK 10
		}
		else
		{
			defaultScore(); //CONFIGURATION FILE NOT EXISTS?? APPLY DEFAULT VALUES
		}
	}
}

void saveS(void file, int tier, int newLine)
{//Script to reduce code size
	int add = 1;
	int pos = 0;

	setfilestreamposition(file, pos);filestreamappend(file, getglobalvar("hiscorePoints"+tier), newLine);pos = pos+add;
	setfilestreamposition(file, pos);filestreamappend(file, getglobalvar("hiscoreTime"+tier), 1);pos = pos+add;
	setfilestreamposition(file, pos);filestreamappend(file, getglobalvar("hiscoreName"+tier), 1);pos = 0;
	filestreamnextline(file);
}

void saveScore()
{//Save custom hi-score variables to a external file for load each time the game is started
	
	void file = createfilestream();
	int add   = 1;
	int tier  = 0;
	
	//DEFINE ALL DATA TO BE WRITEN
	saveS(file, tier, 1);tier = tier+add; //RANK 1
	saveS(file, tier, 0);tier = tier+add; //RANK 2
	saveS(file, tier, 0);tier = tier+add; //RANK 3
	saveS(file, tier, 0);tier = tier+add; //RANK 4
	saveS(file, tier, 0);tier = tier+add; //RANK 5
	saveS(file, tier, 0);tier = tier+add; //RANK 6
	saveS(file, tier, 0);tier = tier+add; //RANK 7
	saveS(file, tier, 0);tier = tier+add; //RANK 8
	saveS(file, tier, 0);tier = tier+add; //RANK 9
	saveS(file, tier, 0);tier = tier+add; //RANK 10
	
	//FILE CREATION TASK
	savefilestream(file, "SOD_SCORE.cfg", "saves/");
	closefilestream(file);
}

void downTier(int oldTier, int newTier)
{//Script to reduce code size

	setglobalvar("hiscorePoints"+newTier,		getglobalvar("hiscorePoints"+oldTier));
	setglobalvar("hiscoreTime"+newTier,			getglobalvar("hiscoreTime"+oldTier));
	setglobalvar("hiscoreName"+newTier,			getglobalvar("hiscoreName"+oldTier));
}

void setScore(int player)
{//Set player before changing scores

	void name = getglobalvar("rankName"+player);
	void time = getglobalvar("totalPlayed");
	int score = getplayerproperty(player, "score");
	int tier;

	if(score >= getglobalvar("hiscorePoints0")){
		tier = 0;
		
		downTier(8, 9);
		downTier(7, 8);
		downTier(6, 7);
		downTier(5, 6);
		downTier(4, 5);
		downTier(3, 4);
		downTier(2, 3);
		downTier(1, 2);
		downTier(0, 1);

		setglobalvar("hiscorePoints"+tier, score);
		setglobalvar("hiscoreTime"+tier, time);
		setglobalvar("hiscoreName"+tier, name);
	}
	else
	if(score < getglobalvar("hiscorePoints0") && score >= getglobalvar("hiscorePoints1")){
		tier = 1;

		downTier(8, 9);
		downTier(7, 8);
		downTier(6, 7);
		downTier(5, 6);
		downTier(4, 5);
		downTier(3, 4);
		downTier(2, 3);
		downTier(1, 2);

		setglobalvar("hiscorePoints"+tier, score);
		setglobalvar("hiscoreTime"+tier, time);
		setglobalvar("hiscoreName"+tier, name);
	}
	else
	if(score < getglobalvar("hiscorePoints1") && score >= getglobalvar("hiscorePoints2")){
		tier = 2;

		downTier(8, 9);
		downTier(7, 8);
		downTier(6, 7);
		downTier(5, 6);
		downTier(4, 5);
		downTier(3, 4);
		downTier(2, 3);

		setglobalvar("hiscorePoints"+tier, score);
		setglobalvar("hiscoreTime"+tier, time);
		setglobalvar("hiscoreName"+tier, name);
	}
	else
	if(score < getglobalvar("hiscorePoints2") && score >= getglobalvar("hiscorePoints3")){
		tier = 3;

		downTier(8, 9);
		downTier(7, 8);
		downTier(6, 7);
		downTier(5, 6);
		downTier(4, 5);
		downTier(3, 4);

		setglobalvar("hiscorePoints"+tier, score);
		setglobalvar("hiscoreTime"+tier, time);
		setglobalvar("hiscoreName"+tier, name);
	}
	else
	if(score < getglobalvar("hiscorePoints3") && score >= getglobalvar("hiscorePoints4")){
		tier = 4;

		downTier(8, 9);
		downTier(7, 8);
		downTier(6, 7);
		downTier(5, 6);
		downTier(4, 5);

		setglobalvar("hiscorePoints"+tier, score);
		setglobalvar("hiscoreTime"+tier, time);
		setglobalvar("hiscoreName"+tier, name);
	}
	else
	if(score < getglobalvar("hiscorePoints4") && score >= getglobalvar("hiscorePoints5")){
		tier = 5;

		downTier(8, 9);
		downTier(7, 8);
		downTier(6, 7);
		downTier(5, 6);

		setglobalvar("hiscorePoints"+tier, score);
		setglobalvar("hiscoreTime"+tier, time);
		setglobalvar("hiscoreName"+tier, name);
	}
	else
	if(score < getglobalvar("hiscorePoints5") && score >= getglobalvar("hiscorePoints6")){
		tier = 6;

		downTier(8, 9);
		downTier(7, 8);
		downTier(6, 7);

		setglobalvar("hiscorePoints"+tier, score);
		setglobalvar("hiscoreTime"+tier, time);
		setglobalvar("hiscoreName"+tier, name);
	}
	else
	if(score < getglobalvar("hiscorePoints6") && score >= getglobalvar("hiscorePoints7")){
		tier = 7;

		downTier(8, 9);
		downTier(7, 8);

		setglobalvar("hiscorePoints"+tier, score);
		setglobalvar("hiscoreTime"+tier, time);
		setglobalvar("hiscoreName"+tier, name);
	}
	else
	if(score < getglobalvar("hiscorePoints7") && score >= getglobalvar("hiscorePoints8")){
		tier = 8;

		downTier(8, 9);

		setglobalvar("hiscorePoints"+tier, score);
		setglobalvar("hiscoreTime"+tier, time);
		setglobalvar("hiscoreName"+tier, name);
	}
	else
	if(score < getglobalvar("hiscorePoints8") && score >= getglobalvar("hiscorePoints9")){
		tier = 9;

		setglobalvar("hiscorePoints"+tier, score);
		setglobalvar("hiscoreTime"+tier, time);
		setglobalvar("hiscoreName"+tier, name);
	}
}

void rankName(int player)
{//Draw and register the current player's custom name

	if(getglobalvar("letterA"+player) == NULL()){setglobalvar("letterA"+player, 0);}
	if(getglobalvar("letterB"+player) == NULL()){setglobalvar("letterB"+player, 0);}
	if(getglobalvar("letterC"+player) == NULL()){setglobalvar("letterC"+player, 0);}
	if(getglobalvar("position"+player) == NULL()){setglobalvar("position"+player, 0);}

	void letterA	= getglobalvar("letterA"+player);
	void letterB	= getglobalvar("letterB"+player);
	void letterC	= getglobalvar("letterC"+player);
	int position	= getglobalvar("position"+player);
	int xPos		= 25;	//BASE X POSITION, FIRST COLUMN
	int yPos		= 4;	//BASE Y POSITION FOR ALL CONTENT IN GAME, USE THIS TO MOVE ALL OPTIONS TOGETHER
	int xAdd		= 1;	//DEFAULT X DIFFERENCE BETWEEN LETTERS
	int xDif		= 120;	//DEFAULT X DIFFERENCE BETWEEN COLUMNS
	int font0		= 0;
	int font1		= 1;
	int layer		= 1000000005;
	int xMult		= 58;	//USED TO ADJUST SMOOTHLY THE SPACE BETWEEM SOME LETTERS
	float limit		= 10;
	float time		= openborvariant("elapsed_time")/20;

	xDif = player*xDif;

	//TRANSLATE THE FIRST LETTER
		if(letterA == 0){letterA = "A";}
		if(letterA == 1){letterA = "B";}
		if(letterA == 2){letterA = "C";}
		if(letterA == 3){letterA = "D";}
		if(letterA == 4){letterA = "E";}
		if(letterA == 5){letterA = "F";}
		if(letterA == 6){letterA = "G";}
		if(letterA == 7){letterA = "H";}
		if(letterA == 8){letterA = "I";}
		if(letterA == 9){letterA = "J";}
		if(letterA == 10){letterA = "K";}
		if(letterA == 11){letterA = "L";}
		if(letterA == 12){letterA = "M";}
		if(letterA == 13){letterA = "N";}
		if(letterA == 14){letterA = "O";}
		if(letterA == 15){letterA = "P";}
		if(letterA == 16){letterA = "Q";}
		if(letterA == 17){letterA = "R";}
		if(letterA == 18){letterA = "S";}
		if(letterA == 19){letterA = "T";}
		if(letterA == 20){letterA = "U";}
		if(letterA == 21){letterA = "V";}
		if(letterA == 22){letterA = "W";}
		if(letterA == 23){letterA = "X";}
		if(letterA == 24){letterA = "Y";}
		if(letterA == 25){letterA = "Z";}

		//TRANSLATE THE SECOND LETTER
		if(letterB == 0){letterB = "A";}
		if(letterB == 1){letterB = "B";}
		if(letterB == 2){letterB = "C";}
		if(letterB == 3){letterB = "D";}
		if(letterB == 4){letterB = "E";}
		if(letterB == 5){letterB = "F";}
		if(letterB == 6){letterB = "G";}
		if(letterB == 7){letterB = "H";}
		if(letterB == 8){letterB = "I";}
		if(letterB == 9){letterB = "J";}
		if(letterB == 10){letterB = "K";}
		if(letterB == 11){letterB = "L";}
		if(letterB == 12){letterB = "M";}
		if(letterB == 13){letterB = "N";}
		if(letterB == 14){letterB = "O";}
		if(letterB == 15){letterB = "P";}
		if(letterB == 16){letterB = "Q";}
		if(letterB == 17){letterB = "R";}
		if(letterB == 18){letterB = "S";}
		if(letterB == 19){letterB = "T";}
		if(letterB == 20){letterB = "U";}
		if(letterB == 21){letterB = "V";}
		if(letterB == 22){letterB = "W";}
		if(letterB == 23){letterB = "X";}
		if(letterB == 24){letterB = "Y";}
		if(letterB == 25){letterB = "Z";}

		//TRANSLATE THE THIRD LETTER
		if(letterC == 0){letterC = "A";}
		if(letterC == 1){letterC = "B";}
		if(letterC == 2){letterC = "C";}
		if(letterC == 3){letterC = "D";}
		if(letterC == 4){letterC = "E";}
		if(letterC == 5){letterC = "F";}
		if(letterC == 6){letterC = "G";}
		if(letterC == 7){letterC = "H";}
		if(letterC == 8){letterC = "I";}
		if(letterC == 9){letterC = "J";}
		if(letterC == 10){letterC = "K";}
		if(letterC == 11){letterC = "L";}
		if(letterC == 12){letterC = "M";}
		if(letterC == 13){letterC = "N";}
		if(letterC == 14){letterC = "O";}
		if(letterC == 15){letterC = "P";}
		if(letterC == 16){letterC = "Q";}
		if(letterC == 17){letterC = "R";}
		if(letterC == 18){letterC = "S";}
		if(letterC == 19){letterC = "T";}
		if(letterC == 20){letterC = "U";}
		if(letterC == 21){letterC = "V";}
		if(letterC == 22){letterC = "W";}
		if(letterC == 23){letterC = "X";}
		if(letterC == 24){letterC = "Y";}
		if(letterC == 25){letterC = "Z";}

	if(getglobalvar("nameEntered"+player) == NULL()){
		changeplayerproperty(0, "disablekeys", openborconstant("FLAG_ANYBUTTON"));
		changeplayerproperty(1, "disablekeys", openborconstant("FLAG_ANYBUTTON"));
		changeplayerproperty(2, "disablekeys", openborconstant("FLAG_ANYBUTTON"));
		changeplayerproperty(3, "disablekeys", openborconstant("FLAG_ANYBUTTON"));

		if(position == 0){ //FIRST POSITION
			if(time%2 == 0){letterA = "";}
			letterB = "";
			letterC = "";
			setglobalvar("rankName"+player, ""+letterA+letterB+letterC);
			drawstring(xPos+xDif, yPos, font0, "name", layer);
			drawstring(xPos+xDif+xAdd*xMult, yPos, font0, "&", layer);
			drawstring(xPos+xDif+strwidth("name__", font0), yPos, font0, ""+letterA+letterB+letterC, layer);
		}
		else
		if(position == 1){ //SECOND POSITION
			if(time%2 == 0){letterB = "";}
			letterC = "";
			setglobalvar("rankName"+player, ""+letterA+letterB+letterC);
			drawstring(xPos+xDif, yPos, font0, "name", layer);
			drawstring(xPos+xDif+xAdd*xMult, yPos, font0, "&", layer);
			drawstring(xPos+xDif+strwidth("name__", font0), yPos, font0, ""+letterA+letterB+letterC, layer);
		}
		else
		if(position == 2){ //THIRD POSITION
			if(time%2 == 0){letterC = "";}
			setglobalvar("rankName"+player, ""+letterA+letterB+letterC);
			drawstring(xPos+xDif, yPos, font0, "name", layer);
			drawstring(xPos+xDif+xAdd*xMult, yPos, font0, "&", layer);
			drawstring(xPos+xDif+strwidth("name__", font0), yPos, font0, ""+letterA+letterB+letterC, layer);
		}
		else //NAME COMPLETELY ENTERED
		{
			setglobalvar("rankName"+player, ""+letterA+letterB+letterC);
			drawstring(xPos+xDif, yPos, font0, "name", layer);
			drawstring(xPos+xDif+xAdd*xMult, yPos, font0, "&", layer);
			drawstring(xPos+xDif+strwidth("name__", font0), yPos, font0, ""+letterA+letterB+letterC, layer);
			setglobalvar("nameEntered"+player, time+limit);
		}
	}
	else
	{
		if(time < getglobalvar("nameEntered"+player)){
			time = openborvariant("elapsed_time")/8;

			if(time%2 == 0){
				drawstring(xPos+xDif+xAdd*xMult, yPos, font0, "&", layer);
			}
			drawstring(xPos+xDif, yPos, font0, "name", layer);
			drawstring(xPos+xDif+strwidth("name__", font0), yPos, font0, ""+letterA+letterB+letterC, layer);

			if(getglobalvar("changedScore"+player) == NULL()){
				setScore(player);
				changeplayerproperty(0, "disablekeys", 0);
				changeplayerproperty(1, "disablekeys", 0);
				changeplayerproperty(2, "disablekeys", 0);
				changeplayerproperty(3, "disablekeys", 0);
				setglobalvar("changedScore"+player, 1);
			}
		}
	}
}

void changeScore(int player)
{//Save a custom hi-score when the entire game is completed, works only at the ending scenes
	int hasplayed	= getplayerproperty(player, "hasplayed");
	int score		= getplayerproperty(player, "score");
	float time		= openborvariant("elapsed_time");
	float limit		= 24000; //THIS VALUE CONTROLS HOW MUCH TIME THE PLAYER HAVE TO ENTER YOUR NAME AT THE ENDING SCENE

	//START TIME COUNTDOWN
	if(getglobalvar("nameTimer") == NULL()){setglobalvar("nameTimer", time+limit);}

	//TIMER REACHED THE LIMIT??
	if(time > getglobalvar("nameTimer")){

		//RE-ENABLE ALL KEYS
		changeplayerproperty(0, "disablekeys", 0);
		changeplayerproperty(1, "disablekeys", 0);
		changeplayerproperty(2, "disablekeys", 0);
		changeplayerproperty(3, "disablekeys", 0);
	}
	else //EXECUTE ALL TASKS RELATED TO THE RANK NAME REGISTRATION
	{
		if(score >= getglobalvar("hiscorePoints9")){rankName(player);}
	}
}

void drawScore()
{//Draw a custom hi-score screen
	void str;
	int align;
	int tier;
	int width;
	int adjust	= 100;
	int xPos	= 65; 			//BASE X POSITION, FIRST COLUMN (HIGHLIGHTED OPTIONS NAME)
	int yPos	= 15;			//BASE Y POSITION FOR ALL MENU CONTENT, USE THIS TO MOVE ALL OPTIONS TOGETHER
	int xAdd	= 10;			//DEFAULT X DIFFERENCE BETWEEN COLUMNS
	int yAdd	= 15;			//DEFAULT Y DIFFERENCE BETWEEN LINES
	int tAdd	= 1;			//DIFFERENCE BETWEEN EACH TIER 
	int title	= yAdd*2;		//DEFAULT TITLE SPACE BETWEEN ALL OTHER CONTENT
	int column	= xPos;			//DEFAULT COLUMN VALUE
	int line	= yPos;			//DEFAULT LINE VALUE
	int icon	= 20;			//DEFAULT LINE VALUE FOR ICON ADJUSTMENTS
	int layer0	= 1000000001;	//BACKGROUND LAYER VALUE
	int layer1	= 1000000003;	//TEXT LAYER VALUE
	int font0	= 0;
	int font1	= 1;
	int font2	= 2;
	int font3	= 3;
	int font4	= 4;
	float hRes	= openborvariant("hresolution");
	
	//DRAW CONTENT
	//TITLE
	drawstring((hRes-strwidth("HALL OF FAME", font3))/2, line, font3, "HALL OF FAME", layer1);line = yPos+title;
	
	//COLUMN 1 - TIER NUMBER
	str = "rank";align = column-strwidth(str, font2);
	drawstring(align, line, font2, str, layer1);line = line+yAdd*1.5;

	//RANK 1
	tier = 1;str = tier+"st";align = column-strwidth(str, font0);
	drawstring(align, line, font1, str, layer1);
	str = "st";align = column-strwidth(str, font0);
	drawstring(align, line, font0, str, layer1+1);line = line+yAdd;

	//RANK 2
	tier = tier+tAdd;str = tier+"nd";align = column-strwidth(str, font0);
	drawstring(align, line, font1, str, layer1);
	str = "nd";align = column-strwidth(str, font0);
	drawstring(align, line, font0, str, layer1+1);line = line+yAdd;

	//RANK 3
	tier = tier+tAdd;str = tier+"rd";align = column-strwidth(str, font0);
	drawstring(align, line, font1, str, layer1);
	str = "rd";align = column-strwidth(str, font0);
	drawstring(align, line, font0, str, layer1+1);line = line+yAdd;

	//RANK 4
	tier = tier+tAdd;str = tier+"th";align = column-strwidth(str, font0);
	drawstring(align, line, font1, str, layer1);
	str = "th";align = column-strwidth(str, font0);
	drawstring(align, line, font0, str, layer1+1);line = line+yAdd;

	//RANK 5
	tier = tier+tAdd;str = tier+"th";align = column-strwidth(str, font0);
	drawstring(align, line, font1, str, layer1);
	str = "th";align = column-strwidth(str, font0);
	drawstring(align, line, font0, str, layer1+1);line = line+yAdd;

	//RANK 6
	tier = tier+tAdd;str = tier+"th";align = column-strwidth(str, font0);
	drawstring(align, line, font1, str, layer1);
	str = "th";align = column-strwidth(str, font0);
	drawstring(align, line, font0, str, layer1+1);line = line+yAdd;

	//RANK 7
	tier = tier+tAdd;str = tier+"th";align = column-strwidth(str, font0);
	drawstring(align, line, font1, str, layer1);
	str = "th";align = column-strwidth(str, font0);
	drawstring(align, line, font0, str, layer1+1);line = line+yAdd;

	//RANK 8
	tier = tier+tAdd;str = tier+"th";align = column-strwidth(str, font0);
	drawstring(align, line, font1, str, layer1);
	str = "th";align = column-strwidth(str, font0);
	drawstring(align, line, font0, str, layer1+1);line = line+yAdd;

	//RANK 9
	tier = tier+tAdd;str = tier+"th";align = column-strwidth(str, font0);
	drawstring(align, line, font1, str, layer1);
	str = "th";align = column-strwidth(str, font0);
	drawstring(align, line, font0, str, layer1+1);line = line+yAdd;
	
	//RANK 10
	tier = tier+tAdd;str = tier+"th";align = column-strwidth(str, font0);
	drawstring(align, line, font1, str, layer1);
	str = "th";align = column-strwidth(str, font0);
	drawstring(align, line, font0, str, layer1+1);line = yPos+title;
	
	//COLUMN 2 - PLAYER SCORE
	column = column+xAdd*3.5;
	str = "score";align = column;
	drawstring(align, line, font2, str, layer1);line = line+yAdd*1.5;
	tier = 0;str = ""+getglobalvar("hiscorePoints"+tier);align = column;
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscorePoints"+tier);align = column;
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscorePoints"+tier);align = column;
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscorePoints"+tier);align = column;
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscorePoints"+tier);align = column;
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscorePoints"+tier);align = column;
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscorePoints"+tier);align = column;
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscorePoints"+tier);align = column;
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscorePoints"+tier);align = column;
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscorePoints"+tier);align = column;
	drawstring(align, line, font0, str, layer1);line = yPos+title;

	//COLUMN 3 - TIME PLAYED
	column = column+xAdd*7.5;
	str = "duration";align = column;
	drawstring(align, line, font2, str, layer1);line = line+yAdd*1.5;
	tier = 0;str = ""+getglobalvar("hiscoreTime"+tier);align = column;
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreTime"+tier);
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreTime"+tier);
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreTime"+tier);
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreTime"+tier);
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreTime"+tier);
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreTime"+tier);
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreTime"+tier);
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreTime"+tier);
	drawstring(align, line, font0, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreTime"+tier);
	drawstring(align, line, font0, str, layer1);line = yPos+title;

	//COLUMN 4 - CHARACTER'S NAME
	column = column+xAdd*8;
	str = "name";align = column;
	drawstring(align, line, font2, str, layer1);line = line+yAdd*1.5;
	tier = 0;str = ""+getglobalvar("hiscoreName"+tier);
	drawstring(align, line, font4, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreName"+tier);
	drawstring(align, line, font4, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreName"+tier);
	drawstring(align, line, font4, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreName"+tier);
	drawstring(align, line, font4, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreName"+tier);
	drawstring(align, line, font4, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreName"+tier);
	drawstring(align, line, font4, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreName"+tier);
	drawstring(align, line, font4, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreName"+tier);
	drawstring(align, line, font4, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreName"+tier);
	drawstring(align, line, font4, str, layer1);line = line+yAdd;
	tier = tier+1;str = ""+getglobalvar("hiscoreName"+tier);
	drawstring(align, line, font4, str, layer1);line = yPos+title;
}