void spawnEntity(void vName, float fX, float fY, float fZ,int map,int bind,int pos)
{
	void self = getlocalvar("self");
	void vSpawn=spawnEn(vName);
	if (getentityproperty(self,"type")==openborconstant("type_player"))
	{
		changeentityproperty(vSpawn,"candamage","type_enemy","type_obstacle");
	}
	if (getentityproperty(self,"type")==openborconstant("type_enemy"))
	{
		changeentityproperty(vSpawn,"candamage","type_player","type_npc");
	}
	changeentityproperty(vSpawn,"parent",self);
	if (bind)
	{	
		bindentity(vSpawn,self,fX,fZ,fY,1,0);
	}else{
		int  iDirection = getentityproperty(self, "direction");
		if (!pos){
			if (iDirection == 0){
				fX = -fX;
			}
			fX += getentityproperty(self, "x");
			fY += getentityproperty(self, "a");
			fZ += getentityproperty(self, "z");
		}else{
			iDirection=1;
			fX+=openborvariant("xpos");
			//fY=getentityproperty(self, "z");
		}
		changeentityproperty(vSpawn, "direction", iDirection);
		changeentityproperty(vSpawn, "position", fX, fZ, fY);

	}
	if (map>0){
		changeentityproperty(vSpawn, "map", map);
	}
	return vSpawn;
}


void spawnEntityFixedFace(void vName, float fX, float fY, float fZ)
{
	clearspawnentry();
	setspawnentry("name", vName);
	void vSpawn=spawn();
	void self=getlocalvar("self");
	fX+=getentityproperty(self, "x");
	fY+=getentityproperty(self, "a");
	fZ+=getentityproperty(self, "z");
	changeentityproperty(vSpawn, "direction",1);//always face right.
	changeentityproperty(vSpawn, "position", fX, fZ, fY);//set position
}

void spawn01(void vName, float fX, float fY, float fZ)
{
	return spawnEntity(vName, fX, fY, fZ,0,0,0); //Spawn in entity.
}
void spawn02(void vName)
{
	return spawnEntity(vName, 0, 0, 0,0,0,1); //Spawn in entity.
}

void spawn_z(void vName)
{
	void self = getlocalvar("self");
	void target=findtarget(self);
	void vSpawn;
	if(target!=NULL())
	{
		float Tx = getentityproperty(target, "x");
		float Tz = getentityproperty(target, "z");
		clearspawnentry();
		setspawnentry("name", vName);
		vSpawn=spawn();

		if (getentityproperty(self,"type")==openborconstant("type_player"))
		{
			changeentityproperty(vSpawn,"candamage","type_enemy","type_obstacle");
		}
		if (getentityproperty(self,"type")==openborconstant("type_enemy"))
		{
			changeentityproperty(vSpawn,"candamage","type_player","type_npc");
		}

		changeentityproperty(vSpawn, "position", Tx, Tz, 0);
	}
	return vSpawn;
}

void spawnEn(void vName)
{
	clearspawnentry();
	setspawnentry("name", vName);
	void vSpawn=spawn();
	return vSpawn;
}

void spawnAt(void Name, float dx, float dy, float dz)
{ // Spawn an entity and place it at exact coords
   void self = getlocalvar("self");
   void Spawn;

   Spawn = spawn01(Name, 0, 0, 0);
   changeentityproperty(Spawn, "position", dx, dy, dz);
}